Subject: bug#24401:

From: Clément Pit--Claudel <[email-masked]>
Date: Thu, 1 Dec 2016 09:28:16 -0500

On 2016-12-01 03:47, Davor Rotim wrote:
> I think I have tracked down the issue.
> 
> I switched to another user and I was able to use `run-python' without any warnings.
> Turns out it was my readline settings.
> Bash 4.3 added a new readline feature: "set colored-stats on" which I had in .inputrc
> Removing that line fixed my issue, I think this should be reproducible for all.
> 
> Once again thank you for your patience.

Wonderful! Do you know if there's a way we can disable this locally, for the Python subprocess?  Alternatively, do you want to contribute a patch that adds this hint to the warning shown if completion doesn't work?

Thanks!
Clément.